linking libutil isnt needed on my system, possibly this is deprecated?,
authorCampbell Barton <ideasman42@gmail.com>
Sun, 3 Oct 2010 18:45:27 +0000 (18:45 +0000)
committerCampbell Barton <ideasman42@gmail.com>
Sun, 3 Oct 2010 18:45:27 +0000 (18:45 +0000)
testing this on other linux systems isnt so easy but will hear about it if this breaks.

CMakeLists.txt

index 4966c1d..d3de0bf 100644 (file)
@@ -297,7 +297,7 @@ IF(UNIX AND NOT APPLE)
 
        FIND_PACKAGE(X11 REQUIRED)
 
-       SET(LLIBS "-lutil -lc -lm -lpthread -lstdc++ ${X11_X11_LIB} ${X11_Xinput_LIB}")
+       SET(LLIBS "-lc -lm -lpthread -lstdc++ ${X11_X11_LIB} ${X11_Xinput_LIB}")
 
        IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
                # BSD's dont use libdl.so